* {
    padding: 0;
    padding: 0;
    box-sizing: border-box;
  }

  html {
    --primary-color: #707070;
    --secondary-color: #FFFFFF;
    --tertiary-color: #8A9585;
  }

  body {
    max-width: 1200px;
    margin-top: 5%;
    margin-inline: auto;
  }

  @media (min-width: 600px) {

    body {
      margin-top: 2%;
      padding-left: 0%;
      padding-right: 0%;
    }

  }

  @font-face {
    font-family: Indiana;
    src: url(fonts/indiana_signature_regular-webfont.woff2);
}

@font-face {
  font-family: Nanum;
  src: url(fonts/cormorant-variablefont_wght-webfont.woff2);
}


  /************************************************MENU************************************************/

.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-left: 5%;
    padding-right: 5%;
  }
  .header :first-child {
    margin-bottom: auto;
  }

  header img {
    width: 30%;
  }

  nav ul {
    display: none;
    list-style: none;
    gap: 5px;
    text-align: center;
  }

  nav ul li a {
    font-size: 1.8rem;
    font-family: Nanum;
    text-decoration: none;
    color: #707070;
  }

  nav ul li a:hover {
    text-decoration: underline;
  }



  .menu.shown {
    display: flex;
    flex-direction: column;
  }

  .menu.shown ul {
    display: flex;
    flex-flow: column;

  }


  .menu.shown .burger_menu {
  margin-top: 13px;
  text-decoration: underline;
}

  .logodesktop {
    display: none;
  }


    .burger_menu {
      display: block;
      color: var(--primary-color);
      border: none;
      background-color: transparent;
      font-size: 1.5rem;
      font-family: Nanum;
      cursor: pointer;
    }

    .burger_menu:hover {
      text-decoration: underline;
    }
  
  
  @media (min-width: 600px) {

    header img {
      width: 100%;
    }

    .burger_menu {
     display: none;
    }

    .logodesktop {
      display: block;
      width: 150px;
      padding-left:2%;
    }

    .logomobile {
      display: none;
    }

    header {
      display: block;
    }

    .menu {
      width: 100%;
    }

    nav ul {
        display: flex;
        flex-direction: row; 
        justify-content: center;
        gap: 5%;
        align-items: center;
      }

}







  /************************************************FRONTPAGE************************************************/







.frontpage_imgs{
  display: grid;
  grid-template-columns: repeat(3,1fr);
  width: 100%;

}

#blomster1 {
  width: 95%;
  transform: rotate(180deg);
  grid-column: 1/4;
  grid-row: 1;
  z-index: 0;
}

#blomster2 {
  width: 95%;
  grid-column: 1/4;
  grid-row: 1;
  margin-top: auto;
  margin-left: auto;
  z-index: 0;
}


.saratheis_img {
  width: 70%;
  padding-top: 12%;
  padding-bottom: 12%;
  margin-inline: auto;
  grid-column: 1/4;
  grid-row: 1;
  z-index: -1;
}

.frontpage_text2 {
  display: none;
}

.frontpage_text1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 10%;
}

h2 {
  font-family: Indiana;
  font-size: 2rem;
  color: var(--primary-color);
  margin-top: 4%;
  margin-bottom: 6%;
}

.tilmeld {
  border: var(--primary-color) 1px solid;
  color: var(--primary-color);
  background-color: transparent;
  width: 200px;
  border-radius: 15px;
  font-size: 1.2rem;
  font-family: Nanum;
  padding-right: 35px;
  padding-left: 35px;
  padding-top: 5px;
  padding-bottom: 5px;
}

.tilmeld:hover {
  border: var(--tertiary-color) 1px solid;
  color: var(--secondary-color);
  background-color: var(--tertiary-color);
  width: 200px;
  border-radius: 15px;
  font-size: 1.2rem;
  font-family: Nanum;
  padding-right: 35px;
  padding-left: 35px;
  padding-top: 5px;
  padding-bottom: 5px;
}

@media (min-width: 600px) {
  .frontpage_imgs{
    min-width: 600px;
    width: 50%;
    margin: auto;
  
  }

  .frontpage_text1 {
    display: none;
  }

  .frontpage_text2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 10%;
    grid-column: 2/3;
    grid-row: 1/2;
    margin-top: 260%;
    z-index: 1;
  }

  #blomster1, #blomster2 {
    min-width: 570px;
  }

  .saratheis_img {
    min-width: 420px;
  }

  .h2_desktop_frontpage {
    font-size: 2rem;
    color: var(--secondary-color);
    margin-bottom: 5px;
  }
  
  .tilmeld {
    border: var(--secondary-color) 1px solid;
    color: var(--secondary-color);
  }
  
}



.growflowers {
  animation-name: growflowers_kf;
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes growflowers_kf{
0%{
  clip-path: polygon(50% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%);
    
}

50%{
  clip-path: polygon(50% 85%, 75% 75%, 75% 100%, 48% 100%, 25% 100%, 25% 75%);
}

100%{
  clip-path: polygon(50% 85%, 75% 75%, 100% 99%, 48% 100%, 0 100%, 25% 75%);
}

100%{
  clip-path: polygon(50% 0%, 100% 0, 100% 100%, 48% 100%, 0 100%, 0 0);

}


}


  /************************************************H1 - UNDERSIDER************************************************/


  .underside_h1 {
    display: grid;
    grid-template-columns: 1fr;
    margin-inline: auto;
    text-align: center;
    width: 230px;
  }


  .underside_h1 h1 {
    padding-top: 8%;
    font-size: 2.5rem;
    font-family: Nanum;
    color: var(--primary-color);
    grid-column: 1/2;
    grid-row: 1;
    font-weight: 100;
  }

  .underside_h1 img {
    width: 100%;
    grid-column: 1/2;
    grid-row: 1;
  }


  .blomsterkransanimation {
    animation-name: blomsterkrans_kf;
    animation-duration: 3s;
    animation-timing-function: linear;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
  }
  
@keyframes blomsterkrans_kf{
    0%{
      clip-path: polygon(50% 0, 50% 0, 50% 0, 50% 0, 50% 50%, 50% 0, 50% 0, 50% 0, 64% 0, 50% 0, 50% 100%, 50% 0);
    }

    25%{
      clip-path: polygon(0 0, 0 0, 0 0, 50% 0, 50% 50%, 50% 0, 100% 0, 100% 0, 100% 0, 100% 0, 50% 50%, 0 0);
    }

    50%{
      clip-path: polygon(0 50%, 0 50%, 0 0, 50% 0, 50% 50%, 50% 0, 100% 0, 100% 50%, 100% 50%, 100% 50%, 50% 50%, 0 50%);
    }

    75%{
      clip-path: polygon(0 100%, 0 50%, 0 0, 50% 0, 50% 50%, 50% 0, 100% 0, 100% 50%, 100% 100%, 100% 100%, 50% 50%, 0 100%);
    }

    100%{
    clip-path: polygon(0 100%, 0 50%, 0 0, 50% 0, 50% 50%, 50% 0, 100% 0, 100% 50%, 100% 100%, 50% 100%, 50% 50%, 50% 100%);
    }


  
  }



/************************************************PROGRAM************************************************/


    .program_div {
      width: 90%;
      margin-inline: auto;
      text-align: center;
    }




.taarn, .domusmedica {
  height: 160px;
  padding-bottom: 5%;

}

.baad {
  width: 90%;
  padding-bottom: 5%;
  padding-top: 5%;
}


.program_div h3 {
  font-family: Indiana;
  font-size: 1.1rem;
  color: var(--primary-color);
  margin-bottom: 2%;
}

.program_div h2 {
  font-size: 1.5rem;
  color: var(--primary-color);
}

p {
  font-family: Nanum;
  font-size: 1.4rem;
  color: var(--primary-color);
  line-height: 1.3;
}

.p_last {
  margin-top: 0%;
  padding-bottom: 5%;
}

.p_last_last {
  padding-bottom: 0%;
}


.program_div_section1 {
  border-bottom: var(--tertiary-color) 1px solid;
  padding-top: 10%;
  padding-bottom: 10%;

}

.program_div_section2 {
  border-bottom: var(--tertiary-color) 1px solid;
  padding-top: 15%;
  padding-bottom: 10%;

}

.program_div_section3 {
  padding-top: 15%;
  padding-bottom: 10%;

}





@media (min-width: 600px) {
.program_div {
  display: grid;
  grid-template-columns: repeat(3,1fr);
  max-width: 1200px;
}

.program_div_fest {
  display: none;
}

.baad {
  padding-top: 53.074px;
  padding-bottom: 53.074px;
}


.program_div_section1, .program_div_section2 {
  border-bottom: 0px;
  border-right: var(--tertiary-color) 1px solid;
  padding-bottom: 0%;
  padding-top: 10%;


}

.program_div_section3 {
  padding-bottom: 0%;
  padding-top: 10%;
}


}

/************************************************GÆSTER************************************************/


.gaester_div {
  text-align: center;
  padding-bottom: 15%;
  width: 80%;
  margin-inline: auto;
}


.gaester_div h2 {
  padding-top: 10%;
  padding-bottom: 2%;
}

.familie_div {
  padding-bottom: 15%;
  border-bottom: var(--tertiary-color) 1px solid;
}

.venner_div2 h2 {
  display: none;
}


@media (min-width: 600px) {

  .gaester_div {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    padding-bottom: 5%;
  }

  .familie_div {
    border-bottom: 0px;
  }

  .venner_div2 h2 {
    display: block;
  }


}



/************************************************PRAKTISK************************************************/

.praktisk_div {
  text-align: center;
  padding-top: 5%;
  width: 80%;
  margin-inline: auto;
}

.praktisk_div h2 {
  padding-top: 10%;
  padding-bottom: 2%;
}

.tilmeld_praktisk {
  border: var(--primary-color) 1px solid;
  color: var(--primary-color);
  background-color: transparent;
  width: 200px;
  border-radius: 15px;
  font-size: 1.2rem;
  font-family: Nanum;
  padding-right: 35px;
  padding-left: 35px;
  padding-top: 5px;
  padding-bottom: 5px;
}

.tilmeld_praktisk:hover {
  border: var(--tertiary-color) 1px solid;
  color: var(--secondary-color);
  background-color: var(--tertiary-color);
}

.tilmelding_div {
  padding-bottom: 15%;
  border-bottom: var(--tertiary-color) 1px solid;
}

h4 {
  font-size: 1.4rem;
  padding-top: 20px;
  margin-bottom: -5px;
  font-family: Nanum;
  font-style: italic;
  font-weight: 100;
  color: var(--primary-color);
}

.adresser_div a {
  text-decoration: none;
  color: var(--primary-color);
}

.p_adresser_lille {
  font-size: 1.1rem;
}

.adresser_div, .toastmaster_div, .gavekoordinator_div, .forlover_div, .born_div {
  padding-top: 10%;
  padding-bottom: 15%;
  border-bottom: var(--tertiary-color) 1px solid;

}

.dresscode_div {
  padding-top: 10%;
  padding-bottom: 15%;
}

.toastmaster_div a {
  text-decoration: none;
  color: var(--primary-color);
}

.toastmaster_div a:hover {
  text-decoration: underline;
}

.gavekoordinator_div a {
  text-decoration: none;
  color: var(--primary-color);
}

.gavekoordinator_div a:hover {
  text-decoration: underline;
}

#onsker_link {
  text-decoration: underline;
}

.personnavne_p {
  padding-top: 10px;
}

.born_div p {
  text-align: left;
}

.dresscode_div p {
  text-align: left;
}


@media (min-width: 600px) {
  .adresser_div, .forlover_div, .gavekoordinator_div, .toastmaster_div {
    padding-top: 2%;
    padding-bottom: 4%;
    border-bottom: var(--tertiary-color) 1px solid;
  }

  .dresscode_div {
    padding-top: 2%;
    padding-bottom: 5%;
  }

  .praktisk_div {
    padding-top: 0%;
    width: 80%;
  }

  .praktisk_div h2 {
    padding-top: 15px;
    padding-bottom: 0%;
    margin-bottom: 3%;
  }

  .tilmelding_div {
    padding-bottom: 2%;
    border-bottom: var(--tertiary-color) 1px solid;
  }

  h4 {
    margin-bottom: -5px;
    margin-top: 0%;
    }


  .adresser_div2 {
    display: grid;
    grid-template-columns: repeat(3,1fr);
  }

  .andrepersoner_div, .info_div {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 40px;
    padding-left: 3%;
    padding-right: 3%;
  }

  .info_div h2 {
    padding-bottom: 20px;
  }

  .andrepersoner_div {
    border-bottom: var(--tertiary-color) 1px solid;
  }

  .gavekoordinator_div, .toastmaster_div {
  padding-top: 8%;
  padding-bottom: 9%;
  border-bottom: 0px;
  }

  .born_div, .dresscode_div {
    padding-top: 8%;
    padding-bottom: 9%;
    border-bottom: 0px;
    }

  .forlover_div img {
    padding-bottom: 2%;
  }
}


/************************************************ØNSKER************************************************/


.onsker_div {
  text-align: center;
  padding-top: 5%;
  width: 80%;
  margin-inline: auto;
}

.onsker_div h2 {
  padding-top: 10%;
  padding-bottom: 2%;
}

.onsker_div a {
  text-decoration: none;
  color: var(--primary-color);
}

.onsker_div a:hover {
  text-decoration: underline;
}


.gavekoordinator_onsker_div {
padding-bottom: 15%;
border-bottom: var(--tertiary-color) 1px solid;
}


.onskerliste_div2 {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(140px, 140px));
  gap: 20px;
  justify-content: center;
  text-align: left;
  margin-top: 5%;
  margin-bottom: 8%;
  text-decoration: none;
}

.onskerliste_div2 div a {
  width: 100%;
  cursor: pointer;
  text-decoration: none;
}

.onskerliste_div2 div img {
  width: 100%;
}


.onskerliste_div2 div h3 {
  font-size: 1.1rem;
  margin-top: 3%;
  margin-bottom: 2%;
  font-weight: 500;
  text-decoration: none;
}

.onskerliste_div2 div p {
  font-size: 0.9rem;
  margin-top: 3%;
  margin-bottom: 2%;
  text-decoration: none;
}

@media (min-width: 600px) {
  .onsker_div {
    padding-top: 0%;
    width: 80%;
  }

  .gavekoordinator_onsker_div {
    padding-top: 2%;
    padding-bottom: 4%;
    border-bottom: var(--tertiary-color) 1px solid;
  }

  .onsker_div h2 {
    padding-top: 0px;
    padding-bottom: 0%;
    margin-bottom: 3%;
  }

  .onskerliste_div2 {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 220px));
    gap: 20px;
    justify-content: center;
  }

  .onskerliste_div2 div h3 {
    font-size: 1.4rem;
    margin-top: 3%;
    margin-bottom: 2%;
  }
  
  .onskerliste_div2 div p {
    font-size: 1.1rem;
    margin-top: 3%;
    margin-bottom: 2%;
  }

}




